%define upstream_name    Path-Tiny
%define upstream_version 0.148

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File path utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Digest) >= 1.30.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 0.860.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::stat)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than the File::Spec manpage and provides
easy access to functions from several other core file handling modules.

It doesn't attempt to be as full-featured as the IO::All manpage or the
Path::Class manpage, nor does it try to work for anything except Unix-like
and Win32 platforms. Even then, it might break if you try something
particularly obscure or tortuous. (Quick! What does this mean:
'///../../..//./././a//b/.././c/././'? And how does it differ on Win32?)

All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.148.0-2.mga10
+ Revision: 2249060
- Mageia 10 Mass Rebuild

* Fri Mar 21 2025 tv <tv> 0.148.0-1.mga10
+ Revision: 2167895
- update to 0.148

* Wed May 22 2024 tv <tv> 0.146.0-1.mga10
+ Revision: 2065940
- update to 0.146

* Mon Dec 05 2022 tv <tv> 0.144.0-1.mga9
+ Revision: 1918105
- update to 0.144

* Sun Nov 13 2022 tv <tv> 0.142.0-1.mga9
+ Revision: 1906638
- update to 0.142

* Thu Oct 27 2022 tv <tv> 0.130.0-1.mga9
+ Revision: 1899639
- update to 0.130

* Mon Sep 05 2022 tv <tv> 0.124.0-1.mga9
+ Revision: 1884074
- update to 0.124

* Mon Mar 21 2022 umeabot <umeabot> 0.122.0-2.mga9
+ Revision: 1815988
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 tv <tv> 0.122.0-1.mga9
+ Revision: 1769050
- update to 0.122

* Thu Oct 28 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1753016
- update to 0.120

* Thu Feb 25 2021 tv <tv> 0.118.0-1.mga9
+ Revision: 1690358
- update to 0.118

* Tue Apr 28 2020 tv <tv> 0.114.0-1.mga8
+ Revision: 1572652
- update to 0.114

* Thu Feb 20 2020 umeabot <umeabot> 0.112.0-2.mga8
+ Revision: 1546060
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 0.112.0-1.mga8
+ Revision: 1485845
- update to 0.112

* Mon Jan 13 2020 shlomif <shlomif> 0.110.0-1.mga8
+ Revision: 1477823
- New version 0.110.0

* Thu Sep 20 2018 umeabot <umeabot> 0.108.0-2.mga7
+ Revision: 1285708
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 0.108.0-1.mga7
+ Revision: 1246516
- update to 0.108

* Wed Feb 22 2017 shlomif <shlomif> 0.104.0-1.mga6
+ Revision: 1087302
- New version 0.104 with some fixes + spec modernization.

* Wed Dec 28 2016 shlomif <shlomif> 0.98.0-1.mga6
+ Revision: 1078531
- New version 0.098 - bug fixes and new features.

* Sun Jun 19 2016 pterjan <pterjan> 0.84.0-2.mga6
+ Revision: 1031910
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.84.0-1.mga6
+ Revision: 989840
- update to 0.084

* Sat Jan 16 2016 shlomif <shlomif> 0.76.0-1.mga6
+ Revision: 923908
- update to 0.076

* Thu Jul 23 2015 sander85 <sander85> 0.72.0-1.mga6
+ Revision: 856519
- update to 0.072

* Mon Jul 06 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 851889
- update to 0.070

* Mon Jun 22 2015 sander85 <sander85> 0.68.0-1.mga6
+ Revision: 839437
- update to 0.068

* Sat Oct 18 2014 umeabot <umeabot> 0.56.0-4.mga5
+ Revision: 788052
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.56.0-3.mga5
+ Revision: 742335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.56.0-2.mga5
+ Revision: 685918
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 sander85 <sander85> 0.56.0-1.mga5
+ Revision: 661983
- update to 0.056

* Wed Jul 02 2014 sander85 <sander85> 0.55.0-1.mga5
+ Revision: 642267
- update to 0.055

* Tue May 20 2014 sander85 <sander85> 0.54.0-1.mga5
+ Revision: 624483
- update to 0.054

* Mon Feb 10 2014 sander85 <sander85> 0.52.0-1.mga5
+ Revision: 588976
- update to 0.052

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 541134
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 495152
- update to 0.040

* Fri Oct 04 2013 sander85 <sander85> 0.38.0-1.mga4
+ Revision: 491434
- update to 0.038

* Fri Sep 27 2013 sander85 <sander85> 0.37.0-1.mga4
+ Revision: 487338
- update to 0.037

* Fri Sep 13 2013 sander85 <sander85> 0.33.0-1.mga4
+ Revision: 478688
- update to 0.033

* Sun Sep 08 2013 sander85 <sander85> 0.32.0-1.mga4
+ Revision: 476137
- update to 0.032

* Thu Aug 08 2013 sander85 <sander85> 0.27.0-1.mga4
+ Revision: 464541
- update to 0.027

* Mon Jul 22 2013 sander85 <sander85> 0.26.0-1.mga4
+ Revision: 457069
- update to 0.026

* Mon Mar 18 2013 jquelin <jquelin> 0.15.0-1.mga3
+ Revision: 403900
- update to 0.015
- adding missing buildrequires:
- imported package perl-Path-Tiny


* Tue Feb 12 2013 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
